<nav class="navbar navbar-dark bg-dark fixed-top" style="height: 9%; margin-bottom: 80px !important;">

  <div *ngIf="jwtService.tokenExist() && jwtService.hasRole('AUTHOR')" class="col-lg-1" style="margin-right: 3%">
    <a class="navbar-brand" routerLink="author">Task list</a>
  </div>
  <div *ngIf="jwtService.tokenExist() && jwtService.hasRole('AUTHOR')" class="col-lg-1" style="margin-right: 3%">
    <a class="navbar-brand" routerLink="papers/publish">Publish paper</a>
  </div>
  <div *ngIf="jwtService.tokenExist() && jwtService.hasRole('AUTHOR')" class="col-lg-1" style="margin-right: 3%">
    <a class="navbar-brand" routerLink="papers/search">Search papers</a>
  </div>
  <div *ngIf="jwtService.tokenExist() && jwtService.hasRole('CHIEF EDITOR')" class="col-lg-1" style="margin-right: 3%">
    <a class="navbar-brand" routerLink="chief">Task list</a>
  </div>
  <div *ngIf="jwtService.tokenExist() && jwtService.hasRole('EDITOR')" class="col-lg-1" style="margin-right: 3%">
    <a class="navbar-brand" routerLink="editor">Task list</a>
  </div>
  <div *ngIf="jwtService.tokenExist() && jwtService.hasRole('REVIEWER')" class="col-lg-1" style="margin-right: 3%">
    <a class="navbar-brand" routerLink="reviewers">Task list</a>
  </div>
  <div *ngIf="jwtService.tokenExist()" class="col-lg-6"></div>
  <div *ngIf="jwtService.tokenExist()" class="col-lg-1"><a class="navbar-brand color" style="color: white; cursor: pointer"
                                                           (click)="logout()" >Logout</a></div>
  <div *ngIf="!jwtService.tokenExist()" class="col-lg-1">
    <a class="navbar-brand" routerLink="registration">Register</a>
  </div>


  <div *ngIf="!jwtService.tokenExist()" class="col-sm-1"><a class="navbar-brand" routerLink="login">Login</a></div>

</nav>
<br/>
<br/>
